<?php
require_once("ning-api.php");

// create custom plugin settings menu
add_action('admin_menu', 'ning_create_menu');

function ning_create_menu() {

    // Create settings page under top-level menu 'Settings'
    add_options_page('Ning Integration Settings', 'Ning Integration', 'administrator', 'ning_settings', 'ning_settings_page');

	//call register settings function
	add_action( 'admin_init', 'ning_admin_init' );
}


function ning_admin_init() {
    $mt_ning_options = NingIdApi::getOptionNames();

    // Create the 'general' settings section
    add_settings_section('ning_general_section', 'General Settings', 'ning_general_section_callback', 'ning_general');

    // Add settings to the 'general' settings section'
    add_settings_field('ning_domain', 'Domain name', 'ning_domain_setting_callback', 'ning_general', 'ning_general_section');
    add_settings_field('ning_anon_comments', 'Anonymous comments', 'ning_anon_comments_setting_callback', 'ning_general', 'ning_general_section');

    // Register the plugin's settings
    register_setting('ning_general_group', 'ning_domain_setting', 'ning_domain_setting_validate_callback');
    register_setting('ning_general_group', 'ning_anon_comments_setting', 'ning_domain_setting_validate_callback');
}

function ning_general_section_callback () {
    // echo '<p>Intro text for our settings section</p>';
}

function ning_domain_setting_callback () {
    $value = "";

	$domain = get_option('ning_domain_setting');
    if ($domain) {
        $value = "value='$domain'";
    }
?>
<input id='ning-domain-setting' name='ning_domain_setting' type='text' <?php echo $value ?> size='40' />
<span class='description'>The domain name for your Ning Network (ie. creators.ning.com or www.example.com)</span>
<?php
}

function ning_anon_comments_setting_callback() {
?>
<label for="ning_anon_comments_setting">
<input name="ning_anon_comments_setting" type="checkbox" id="ning_anon_comments_setting" value="1" <?php checked('1', get_option('ning_anon_comments_setting')); ?> />
<?php _e('Anyone can comment with a name and email address', 'ning-integration') ?></label>
<?php
}

function ning_domain_setting_validate_callback ($raw_input) {
    $valid_input = parse_url (esc_url_raw(trim($raw_input)), PHP_URL_HOST);

    if ($valid_input) {
        return $valid_input;
    }

    return "";
}

function ning_settings_page() {
    $mt_ning_options = NingIdApi::getOptionNames();
?>
<div class="wrap">
<h2>Ning Network Integration</h2>
<form method="post" action="options.php">
    <?php settings_fields('ning_general_group'); ?>
    <?php do_settings_sections('ning_general'); ?>

    <p class="submit">
    <input type="submit" class="button-primary" value="<?php _e('Save Changes') ?>" />
    </p>
</form>
</div>
<?php }
